Android Build Failed 400

Hi Guys!

I recently upgraded to sdk35 and I am now having a problem building an APK (Request failed with status code 400). Please see screenshot:

This is my current expo setup:
Expo CLI 3.2.2 environment info:
System:
OS: macOS 10.14.6
Shell: 3.2.57 - /bin/bash
Binaries:
Node: 12.6.0 - /usr/local/bin/node
Yarn: 1.17.3 - /usr/local/bin/yarn
npm: 6.9.0 - /usr/local/bin/npm
Watchman: 4.9.0 - /usr/local/bin/watchman
IDEs:
Xcode: 11.0/11A420a - /usr/bin/xcodebuild
npmPackages:
expo: ^35.0.0 => 35.0.0
react: 16.8.3 => 16.8.3
react-native: https://github.com/expo/react-native/archive/sdk-35.0.0.tar.gz => 0.59.8
react-navigation: ^1.5.8 => 1.6.1
npmGlobalPackages:
expo-cli: 3.2.2

** I have no issues building ipa for iOS
Would really appreciate your help!
Thanks in advanced!
-Ken

Same here, works with 3.1.2 version but not with 3.2.2
Although iOS builds work fine to get .ipa

1 Like

Will try downgrading to 3.1.2 to see if it works

@covvered can confirm it works with 3.1.2:

Will use this version for now, until a fix is available.

I have very similar problems with 3.2.3 + after downgrade to 3.1.2 everything seems filne.

Hey All,

We just pushed a fix to XDL to resolve this issue. To get this fix, you’ll have to either install 3.2.3 or re-install it if you already installed it within the last 2 hours.

1 Like

Just curious where is the commit for the fix. I don’t see it.

1 Like

Nevermind, I found it. I think